summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorPaul Mackerras <paulus@samba.org>1999-09-11 12:11:46 +0000
committerPaul Mackerras <paulus@samba.org>1999-09-11 12:11:46 +0000
commitcb81f8465934497ad021639842ce95ab66ec44b8 (patch)
tree040aacb85dbb943c73f87c5331442c9e7ff53ae2 /scripts
parenta35e81f5d3752303f800cd29cd27b4220503ec9c (diff)
downloadppp-cb81f8465934497ad021639842ce95ab66ec44b8.tar.gz
add these examples
Diffstat (limited to 'scripts')
-rw-r--r--scripts/ipv6-down.sample31
-rw-r--r--scripts/ipv6-up.sample33
2 files changed, 64 insertions, 0 deletions
diff --git a/scripts/ipv6-down.sample b/scripts/ipv6-down.sample
new file mode 100644
index 0000000..742bbe5
--- /dev/null
+++ b/scripts/ipv6-down.sample
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+# This script is called with the following parameters:
+# interface tty speed local-address remote-address ipparam
+#
+
+
+# Kill the router advertisement daemon on this interface.
+# The killing procedure is copied from RedHat 6.0 initscripts.
+
+DEVICE=$1
+
+PIDFILE=/var/run/radvd-$DEVICE.pid
+
+[ -f $PIDFILE ] || exit 0
+
+PID=`cat $PIDFILE`
+if [ "$PID" != "" ]; then
+ if ps h $PID >/dev/null 2>&1; then
+ kill -TERM $PID
+ usleep 10000
+ if ps h $PID >/dev/null 2>&1; then
+ sleep 1
+ if ps h $PID >/dev/null 2>&1; then
+ kill -KILL $PID
+ fi
+ fi
+ fi
+fi
+
+rm -f $PIDFILE
diff --git a/scripts/ipv6-up.sample b/scripts/ipv6-up.sample
new file mode 100644
index 0000000..e880445
--- /dev/null
+++ b/scripts/ipv6-up.sample
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# This script is called with the following parameters:
+# interface tty speed local-address remote-address ipparam
+#
+
+
+# Start router advertisements on this link.
+# Based on radvd 0.5.0 behaviour
+
+DEVICE=$1
+
+CFGFILE=/usr/inet6/etc/radvd.conf-$DEVICE
+PIDFILE=/var/run/radvd-$DEVICE.pid
+
+if [ -x /usr/inet6/sbin/radvd && -f $CFGFILE ]; then
+ touch $PIDFILE
+ if [ ! -f $PIDFILE ]; then
+ echo "error: $PIDFILE is not a regular file. Aborting"
+ exit 0
+ fi
+
+ PID=`cat $PIDFILE`
+ if [ "$PID" != "" ]; then
+ ps h $PID >/dev/null 2>&1 && exit 0
+ fi
+
+ # radvd 0.5.0 doesn't write a pid-file so we do it here
+ # enabling debugging keeps radvd in foreground, putting it
+ # on background gives us the PID.
+ /usr/inet6/sbin/radvd -d 1 -C $CFGFILE &
+ echo $! >$PIDFILE
+fi